# OpenShaderDesigner: OpenShaderDesigner::Profiler Class Reference

Loading...
Searching...
No Matches
OpenShaderDesigner::Profiler Class Reference
Inheritance diagram for OpenShaderDesigner::Profiler:

## Public Member Functions

void | DrawWindow () override
| DrawWindow function for when the EditorWindow is being drawn.
bool | HandleEvent (const EventHandler< BeginFrame >::HandledType *event) override
bool | HandleEvent (const EventHandler< EndFrame >::HandledType *event) override
Public Member Functions inherited from OpenShaderDesigner::EditorWindow
void | Open ()
| Open the EditorWindow.
void | Draw ()
| Draw the EditorWindow.
void | Close ()
| Close the EditorWindow.
bool | IsOpen () const
| Check if the EditorWindow is open.
void | SetFlags (ImGuiWindowFlags flags)
void | ClearFlags (ImGuiWindowFlags flags)
void | ToggleFlags (ImGuiWindowFlags flags)
bool | CheckFlag (ImGuiWindowFlags flag) const
bool | HasMenuBar () const
Public Member Functions inherited from OpenShaderDesigner::EventHandler< BeginFrame >
virtual bool | HandleEvent (const HandledType *event)=0
| Virtual function for custom EventHandler implementations.
Public Member Functions inherited from OpenShaderDesigner::EventHandler< EndFrame >
virtual bool | HandleEvent (const HandledType *event)=0
| Virtual function for custom EventHandler implementations.

## Additional Inherited Members

Public Types inherited from OpenShaderDesigner::EventHandler< BeginFrame >
using | HandledType
| The type handled by the EventHandler.
Public Types inherited from OpenShaderDesigner::EventHandler< EndFrame >
using | HandledType
| The type handled by the EventHandler.
Public Attributes inherited from OpenShaderDesigner::EditorWindow
const std::string | Title
| Title for the EditorWindow.
Protected Member Functions inherited from OpenShaderDesigner::EditorWindow
| EditorWindow (const std::string &title, ImGuiWindowFlags flags)
virtual void | OnOpen ()
| OnOpen callback for when the EditorWindow is opened.
virtual void | DrawMenu ()
| DrawMenu function for when the EditorWindow Menu is being drawn.
virtual void | OnClose ()
| OnClose callback for when the EditorWindow is closed.

## Member Function Documentation

## DrawWindow()

void Profiler::DrawWindow | ( |  | ) |

overridevirtual

DrawWindow function for when the EditorWindow is being drawn.

Reimplemented from OpenShaderDesigner::EditorWindow.

The documentation for this class was generated from the following files:

- Include/Editor/Profiler.h
- Source/Editor/Profiler.cpp